# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:		itzam-core
Version:	2.1.1
Release:	alt1_7
Summary:	Library for creating and manipulating keyed-access database files

Group:		System/Libraries
License:	GPLv3+
URL:		http://www.coyotegulch.com/products/itzam/index.html
Source0:	http://www.coyotegulch.com/distfiles/%{name}-%{version}.tar.gz

Patch0:		itzam-core-2.1.1-itzam32.patch
Source44: import.info

%description
Itzam/Core is a deliberately portable and concise C library for creating and
manipulating keyed-access database files containing variable-length, random
access records. Information is referenced by a user-defined key value;
indexes may be combined with or remain separate from data. 

%package	devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .itzam32


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

cat LICENSE.NON-FREE | tr -d '\r' > LICENSE.NON-FREE.tmp
touch -r LICENSE.NON-FREE LICENSE.NON-FREE.tmp
mv LICENSE.NON-FREE.tmp LICENSE.NON-FREE


%files
%doc AUTHORS ChangeLog COPYING LICENSE.GPL LICENSE.NON-FREE LICENSE.POLICY NEWS README
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_7
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_6
- initial fc import

